package org.artisanlogiciel.games;

/**
 * WallsProvider provide a Walls representation
 **/
public interface WallsProvider
{

    int getWidth();

    int getHeight();

    /**
     * See Brick
     * 
     * Will set bits : 3 2 1 0 (8)(4)(2)(1) ^ > v < U R D L p i o e g w f h n t
     * t
     **/
    public short getWalls(int x, int y);
}
